Cmp Mathematics
Old tensorial fields (*** Deprecated ***)

() More...

## Functions

Cmp | Lorene::operator+ (const Cmp &)
Cmp | Lorene::operator- (const Cmp &)
| `-` Cmp
Cmp | Lorene::operator+ (const Cmp &, const Cmp &)
| Cmp + Cmp.
Cmp | Lorene::operator+ (const Cmp &, double)
| Cmp + double.
Cmp | Lorene::operator+ (double, const Cmp &)
| double + Cmp
Cmp | Lorene::operator+ (const Cmp &, int)
| Cmp + int.
Cmp | Lorene::operator+ (int, const Cmp &)
| int + Cmp
Cmp | Lorene::operator- (const Cmp &, const Cmp &)
| Cmp - Cmp.
Cmp | Lorene::operator- (const Cmp &, double)
| Cmp - double.
Cmp | Lorene::operator- (double, const Cmp &)
| double - Cmp
Cmp | Lorene::operator- (const Cmp &, int)
| Cmp - int.
Cmp | Lorene::operator- (int, const Cmp &)
| int - Cmp
Cmp | Lorene::operator* (const Cmp &, const Cmp &)
| Cmp * Cmp.
Cmp | Lorene::operator% (const Cmp &, const Cmp &)
| Cmp * Cmp with desaliasing.
Cmp | Lorene::operator* (const Cmp &, double)
| Cmp * double.
Cmp | Lorene::operator* (double, const Cmp &)
| double * Cmp
Cmp | Lorene::operator* (const Cmp &, int)
| Cmp * int.
Cmp | Lorene::operator* (int, const Cmp &)
| int * Cmp
Cmp | Lorene::operator/ (const Cmp &, const Cmp &)
| Cmp / Cmp.
Cmp | Lorene::operator/ (const Cmp &, double)
| Cmp / double.
Cmp | Lorene::operator/ (double, const Cmp &)
| double / Cmp
Cmp | Lorene::operator/ (const Cmp &, int)
| Cmp / int.
Cmp | Lorene::operator/ (int, const Cmp &)
| int / Cmp
Cmp | Lorene::sin (const Cmp &)
| Sine.
Cmp | Lorene::cos (const Cmp &)
| Cosine.
Cmp | Lorene::tan (const Cmp &)
| Tangent.
Cmp | Lorene::asin (const Cmp &)
| Arcsine.
Cmp | Lorene::acos (const Cmp &)
| Arccosine.
Cmp | Lorene::atan (const Cmp &)
| Arctangent.
Cmp | Lorene::exp (const Cmp &)
| Exponential.
Cmp | Lorene::log (const Cmp &)
| Neperian logarithm.
Cmp | Lorene::log10 (const Cmp &)
| Basis 10 logarithm.
Cmp | Lorene::sqrt (const Cmp &)
| Square root.
Cmp | Lorene::racine_cubique (const Cmp &)
| Cube root.
Cmp | Lorene::pow (const Cmp &, int)
| Power .
Cmp | Lorene::pow (const Cmp &, double)
| Power .
Cmp | Lorene::abs (const Cmp &)
| Absolute value.
Tbl | Lorene::max (const Cmp &)
| Maximum values of a `Cmp` in each domain.
Tbl | Lorene::min (const Cmp &)
| Minimum values of a `Cmp` in each domain.
Tbl | Lorene::norme (const Cmp &)
| Sums of the absolute values of all the values of the `Cmp` in each domain.
Tbl | Lorene::diffrel (const Cmp &a, const Cmp &b)
| Relative difference between two `Cmp` (norme version).
Tbl | Lorene::diffrelmax (const Cmp &a, const Cmp &b)
| Relative difference between two `Cmp` (max version).

## Detailed Description

()

## Function Documentation

## abs()

Cmp Lorene::abs | ( | const Cmp & | ci | ) |

Absolute value.

Definition at line 410 of file cmp_math.C.

References abs(), Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), Lorene::Cmp::set_etat_qcq(), and Lorene::Cmp::va.

## acos()

Cmp Lorene::acos | ( | const Cmp & | ci | ) |

Arccosine.

Definition at line 169 of file cmp_math.C.

References acos(), Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), Lorene::Cmp::set_etat_qcq(), and Lorene::Cmp::va.

## asin()

Cmp Lorene::asin | ( | const Cmp & | ci | ) |

Arcsine.

Definition at line 144 of file cmp_math.C.

References asin(), Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), Lorene::Cmp::set_etat_qcq(), and Lorene::Cmp::va.

## atan()

Cmp Lorene::atan | ( | const Cmp & | ci | ) |

Arctangent.

Definition at line 195 of file cmp_math.C.

References atan(), Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), Lorene::Cmp::set_etat_qcq(), and Lorene::Cmp::va.

## cos()

Cmp Lorene::cos | ( | const Cmp & | ci | ) |

Cosine.

Definition at line 94 of file cmp_math.C.

References cos(), Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), Lorene::Cmp::set_etat_qcq(), and Lorene::Cmp::va.

## diffrel()

Tbl Lorene::diffrel | ( | const Cmp & | a,
|  | const Cmp & | b )

Relative difference between two `Cmp` (norme version).

Returns
  1-D `Tbl` of size the number of domains, the elements of which are `norme`[a(l)-b(l)]/norme[b(l)] if `b(l)!=0` and `norme`[a(l)-b(l)] if `b(l)=0` , where `a(l)` and `b(l)` denote symbolically the values of `a` and `b`
  in domain no. `l` .

Definition at line 504 of file cmp_math.C.

References Lorene::Cmp::get_etat(), Lorene::Tbl::get_etat(), Lorene::Cmp::get_mp(), norme(), Lorene::Tbl::set(), and Lorene::Tbl::set_etat_qcq().

## diffrelmax()

Tbl Lorene::diffrelmax | ( | const Cmp & | a,
|  | const Cmp & | b )

Relative difference between two `Cmp` (max version).

Returns
  1-D `Tbl` of size the number of domains, the elements of which are `max`[abs(a(l)-b(l))]/max[abs(b(l))] if `b(l)!=0` and `max`[abs(a(l)-b(l))] if `b(l)=0` , where `a(l)` and `b(l)` denote symbolically the values of `a` and `b`
  in domain no. `l` .

Definition at line 539 of file cmp_math.C.

References abs(), Lorene::Cmp::get_etat(), Lorene::Tbl::get_etat(), Lorene::Cmp::get_mp(), max(), Lorene::Tbl::set(), and Lorene::Tbl::set_etat_qcq().

## exp()

Cmp Lorene::exp | ( | const Cmp & | ci | ) |

Exponential.

Definition at line 270 of file cmp_math.C.

References exp(), Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), Lorene::Cmp::set_etat_qcq(), and Lorene::Cmp::va.

## log()

Cmp Lorene::log | ( | const Cmp & | ci | ) |

Neperian logarithm.

Definition at line 296 of file cmp_math.C.

References Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), log(), Lorene::Cmp::set_etat_qcq(), and Lorene::Cmp::va.

## log10()

Cmp Lorene::log10 | ( | const Cmp & | ci | ) |

Basis 10 logarithm.

Definition at line 322 of file cmp_math.C.

References Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), log10(), Lorene::Cmp::set_etat_qcq(), and Lorene::Cmp::va.

## max()

Tbl Lorene::max | ( | const Cmp & | ci | ) |

Maximum values of a `Cmp` in each domain.

Returns
  1-D `Tbl` of size the number of domains, the elements of which are the set of the maximum values in each domain.

Definition at line 435 of file cmp_math.C.

References Lorene::Tbl::annule_hard(), Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), max(), and Lorene::Cmp::va.

## min()

Tbl Lorene::min | ( | const Cmp & | ci | ) |

Minimum values of a `Cmp` in each domain.

Returns
  1-D `Tbl` of size the number of domains, the elements of which are the set of the minimum values in each domain.

Definition at line 458 of file cmp_math.C.

References Lorene::Tbl::annule_hard(), Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), min(), and Lorene::Cmp::va.

## norme()

Tbl Lorene::norme | ( | const Cmp & | ci | ) |

Sums of the absolute values of all the values of the `Cmp`
in each domain.

Returns
  1-D `Tbl` of size the number of domains, the elements of which are the set of the sums of the absolute values in each domain.

Definition at line 481 of file cmp_math.C.

References Lorene::Tbl::annule_hard(), Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), norme(), and Lorene::Cmp::va.

## operator%()

Cmp Lorene::operator% | ( | const Cmp & | c1,
|  | const Cmp & | c2 )

Cmp * Cmp with desaliasing.

Definition at line 364 of file cmp_arithm.C.

References Lorene::Cmp::get_dzpuis(), Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), r, and Lorene::Cmp::va.

## operator*() [1/5]

Cmp Lorene::operator* | ( | const Cmp & | c1,
|  | const Cmp & | c2 )

Cmp * Cmp.

Definition at line 336 of file cmp_arithm.C.

References Lorene::Cmp::get_dzpuis(), Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), r, and Lorene::Cmp::va.

## operator*() [2/5]

Cmp Lorene::operator* | ( | const Cmp & | t1,
|  | double | x )

Cmp * double.

Definition at line 425 of file cmp_arithm.C.

References x.

## operator*() [3/5]

Cmp Lorene::operator* | ( | const Cmp & | t1,
|  | int | m )

Cmp * int.

Definition at line 432 of file cmp_arithm.C.

## operator*() [4/5]

Cmp Lorene::operator* | ( | double | a,
|  | const Cmp & | c1 )

double * Cmp

Definition at line 396 of file cmp_arithm.C.

References Lorene::Cmp::get_dzpuis(), Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), r, and Lorene::Cmp::va.

## operator*() [5/5]

Cmp Lorene::operator* | ( | int | m,
|  | const Cmp & | t1 )

int * Cmp

Definition at line 439 of file cmp_arithm.C.

## operator+() [1/6]

Cmp Lorene::operator+ | ( | const Cmp & | ci | ) |

- Cmp

Definition at line 104 of file cmp_arithm.C.

## operator+() [2/6]

Cmp Lorene::operator+ | ( | const Cmp & | c1,
|  | const Cmp & | c2 )

Cmp + Cmp.

Definition at line 131 of file cmp_arithm.C.

References Lorene::Cmp::dz_nonzero(), Lorene::Cmp::get_dzpuis(), Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), r, and Lorene::Cmp::va.

## operator+() [3/6]

Cmp Lorene::operator+ | ( | const Cmp & | t1,
|  | double | x )

Cmp + double.

Definition at line 175 of file cmp_arithm.C.

References Lorene::Cmp::check_dzpuis(), Lorene::Cmp::get_etat(), Lorene::Cmp::set_dzpuis(), Lorene::Cmp::va, and x.

## operator+() [4/6]

Cmp Lorene::operator+ | ( | const Cmp & | t1,
|  | int | m )

Cmp + int.

Definition at line 211 of file cmp_arithm.C.

## operator+() [5/6]

Cmp Lorene::operator+ | ( | double | x,
|  | const Cmp & | t1 )

double + Cmp

Definition at line 204 of file cmp_arithm.C.

References x.

## operator+() [6/6]

Cmp Lorene::operator+ | ( | int | m,
|  | const Cmp & | t1 )

int + Cmp

Definition at line 218 of file cmp_arithm.C.

## operator-() [1/6]

Cmp Lorene::operator- | ( | const Cmp & | ci | ) |

`-` Cmp

Definition at line 108 of file cmp_arithm.C.

References Lorene::Cmp::get_dzpuis(), Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), r, and Lorene::Cmp::va.

## operator-() [2/6]

Cmp Lorene::operator- | ( | const Cmp & | c1,
|  | const Cmp & | c2 )

Cmp - Cmp.

Definition at line 233 of file cmp_arithm.C.

References Lorene::Cmp::dz_nonzero(), Lorene::Cmp::get_dzpuis(), Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), r, and Lorene::Cmp::va.

## operator-() [3/6]

Cmp Lorene::operator- | ( | const Cmp & | t1,
|  | double | x )

Cmp - double.

Definition at line 277 of file cmp_arithm.C.

References Lorene::Cmp::check_dzpuis(), Lorene::Cmp::get_etat(), Lorene::Cmp::set_dzpuis(), Lorene::Cmp::va, and x.

## operator-() [4/6]

Cmp Lorene::operator- | ( | const Cmp & | t1,
|  | int | m )

Cmp - int.

Definition at line 313 of file cmp_arithm.C.

## operator-() [5/6]

Cmp Lorene::operator- | ( | double | x,
|  | const Cmp & | t1 )

double - Cmp

Definition at line 306 of file cmp_arithm.C.

References x.

## operator-() [6/6]

Cmp Lorene::operator- | ( | int | m,
|  | const Cmp & | t1 )

int - Cmp

Definition at line 320 of file cmp_arithm.C.

## operator/() [1/5]

Cmp Lorene::operator/ | ( | const Cmp & | c1,
|  | const Cmp & | c2 )

Cmp / Cmp.

Definition at line 457 of file cmp_arithm.C.

References Lorene::Cmp::get_dzpuis(), Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), r, and Lorene::Cmp::va.

## operator/() [2/5]

Cmp Lorene::operator/ | ( | const Cmp & | c1,
|  | double | x )

Cmp / double.

Definition at line 491 of file cmp_arithm.C.

References Lorene::Cmp::get_dzpuis(), Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), r, Lorene::Cmp::va, and x.

## operator/() [3/5]

Cmp Lorene::operator/ | ( | const Cmp & | c1,
|  | int | m )

Cmp / int.

Definition at line 552 of file cmp_arithm.C.

## operator/() [4/5]

Cmp Lorene::operator/ | ( | double | x,
|  | const Cmp & | c2 )

double / Cmp

Definition at line 521 of file cmp_arithm.C.

References Lorene::Cmp::get_dzpuis(), Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), r, Lorene::Cmp::va, and x.

## operator/() [5/5]

Cmp Lorene::operator/ | ( | int | m,
|  | const Cmp & | c2 )

int / Cmp

Definition at line 561 of file cmp_arithm.C.

## pow() [1/2]

Cmp Lorene::pow | ( | const Cmp & | ci,
|  | double | x )

Power .

Definition at line 379 of file cmp_math.C.

References Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), pow(), Lorene::Cmp::set_etat_qcq(), Lorene::Cmp::va, and x.

## pow() [2/2]

Cmp Lorene::pow | ( | const Cmp & | ci,
|  | int | n )

Power .

Definition at line 348 of file cmp_math.C.

References Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), pow(), Lorene::Cmp::set_etat_qcq(), and Lorene::Cmp::va.

## racine_cubique()

Cmp Lorene::racine_cubique | ( | const Cmp & | ci | ) |

Cube root.

Definition at line 245 of file cmp_math.C.

References Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), racine_cubique(), Lorene::Cmp::set_etat_qcq(), and Lorene::Cmp::va.

## sin()

Cmp Lorene::sin | ( | const Cmp & | ci | ) |

Sine.

Definition at line 69 of file cmp_math.C.

References Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), Lorene::Cmp::set_etat_qcq(), sin(), and Lorene::Cmp::va.

## sqrt()

Cmp Lorene::sqrt | ( | const Cmp & | ci | ) |

Square root.

Definition at line 220 of file cmp_math.C.

References Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), Lorene::Cmp::set_etat_qcq(), sqrt(), and Lorene::Cmp::va.

## tan()

Cmp Lorene::tan | ( | const Cmp & | ci | ) |

Tangent.

Definition at line 120 of file cmp_math.C.

References Lorene::Cmp::get_etat(), Lorene::Cmp::get_mp(), Lorene::Cmp::set_etat_qcq(), tan(), and Lorene::Cmp::va.